cURL
curl -X GET "https://api.onekhusa.com/sandbox/v1/merchants/limits/getAll?merchantAccountNumber=859835783" \
--header "Authorization: Bearer your-jwt-token" \
--header "accept: application/json" \
--header "Accept-Language: en"import requests
url = "https://api.onekhusa.com/sandbox/v1/merchants/limits/getAll"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onekhusa.com/sandbox/v1/merchants/limits/getAll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"currencyCode": "MWK",
"transactionCode": "MMW",
"transactionDescription": "Merchant to mobile wallet",
"transactionMinimumAmount": 100,
"transactionMaximumAmount": 10000000,
"dailyLimit": 20000000
}
]"<string>"Transaction Limits
Get Transaction Limits
This endpoint retrieves the transaction limits for a merchant.
GET
/
merchants
/
limits
/
getAll
cURL
curl -X GET "https://api.onekhusa.com/sandbox/v1/merchants/limits/getAll?merchantAccountNumber=859835783" \
--header "Authorization: Bearer your-jwt-token" \
--header "accept: application/json" \
--header "Accept-Language: en"import requests
url = "https://api.onekhusa.com/sandbox/v1/merchants/limits/getAll"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onekhusa.com/sandbox/v1/merchants/limits/getAll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"currencyCode": "MWK",
"transactionCode": "MMW",
"transactionDescription": "Merchant to mobile wallet",
"transactionMinimumAmount": 100,
"transactionMaximumAmount": 10000000,
"dailyLimit": 20000000
}
]"<string>"Authorizations
Bearer authentication header of the form Bearer Token, Where accessToken is the access token used to authenticate the request.
Headers
Preferred language for the response
Query Parameters
The unique identifier of the merchant account
Example:
859835783
Response
Success Response (200)
Currency code for the transaction limits
Example:
"MWK"
Unique code identifying the transaction type
Example:
"MMW"
Human-readable description of the transaction type
Example:
"Merchant to mobile wallet"
Minimum amount allowed per transaction
Example:
100
Maximum amount allowed per transaction
Example:
10000000
Maximum total transaction amount allowed per day
Example:
20000000